umbrello: SettingsDialog Class Reference

umbrello 2.38.2 Umbrello UML Modeller is a Unified Modelling Language (UML) diagram program based on KDE Technology

- Main Page
- Related Pages
- Topics
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Classes | Public Member Functions | Private Slots | Private Member Functions | Private Attributes | List of all members
SettingsDialog Class Reference

`#include <settingsdialog.h>`

Inheritance diagram for SettingsDialog:

## Classes
struct | UIWidgets

## Public Member Functions
| SettingsDialog (QWidget *parent, Settings::OptionState *state)
| ~SettingsDialog ()
void | setCurrentPage (PageType page)
bool | getChangesApplied () const
QString | getCodeGenerationLanguage ()
Public Member Functions inherited from MultiPageDialogBase
| MultiPageDialogBase (QWidget *parent, bool withDefaultButton=false)
virtual | ~MultiPageDialogBase ()
void | apply ()
void | setCaption (const QString &caption)
void | accept ()
void | reject ()
KPageWidgetItem * | currentPage () const
void | addPage (KPageWidgetItem *page)
void | setCurrentPage (KPageWidgetItem *page)
int | exec ()
virtual bool | isModified () const

## Private Slots
void | slotApply ()
void | slotOk ()
void | slotDefault ()

## Private Member Functions
void | setupUIPage ()
void | setupGeneralPage ()
void | setupClassPage ()
void | setupCodeImportPage ()
void | setupCodeGenPage ()
void | setupCodeViewerPage (Settings::CodeViewerState options)
void | setupAutoLayoutPage ()
void | applyPage (KPageWidgetItem *)

## Private Attributes
DontAskAgainWidget * | m_dontAskAgainWidget
Settings::OptionState * | m_pOptionState
UMLWidgetStylePage * | m_pUserInterfacePage
AutoLayoutOptionPage * | m_pAutoLayoutPage
CodeImportOptionsPage * | m_pCodeImportPage
CodeGenOptionsPage * | m_pCodeGenPage
CodeViewerOptionsPage * | m_pCodeViewerPage
GeneralOptionPage * | m_pGeneralPage
ClassOptionsPage * | m_pClassPage
UIOptionsPage * | m_uiOptionsPage
bool | m_bChangesApplied
KPageWidgetItem * | pageCodeViewer
KPageWidgetItem * | pageFont
KPageWidgetItem * | pageCodeImport
KPageWidgetItem * | pageCodeGen
KPageWidgetItem * | pageUserInterface
KPageWidgetItem * | pageClass
KPageWidgetItem * | pageAutoLayout
KPageWidgetItem * | pageGeneral

## Additional Inherited Members
Public Types inherited from MultiPageDialogBase
enum | PageType { AutoLayoutPage , ClassPage , CodeImportPage , CodeGenerationPage , CodeViewerPage , FontPage , GeneralPage , UserInterfacePage }
| Available page types. More...
Signals inherited from MultiPageDialogBase
void | okClicked ()
void | applyClicked ()
void | defaultClicked ()
Protected Slots inherited from MultiPageDialogBase
void | slotEnableButtonOk (bool state)
Protected Member Functions inherited from MultiPageDialogBase
virtual void | keyPressEvent (QKeyEvent *event)
QFrame * | createPage (const QString &name, const QString &header, Icon_Utils::IconType icon)
KPageWidgetItem * | createPage (const QString &name, const QString &header, Icon_Utils::IconType icon, QWidget *widget)
void | setupGeneralPage (AssociationWidget *widget)
void | applyGeneralPage (AssociationWidget *widget)
void | setupGeneralPage (NoteWidget *widget)
KPageWidgetItem * | setupGeneralPage (MessageWidget *widget)
void | applyGeneralPage (MessageWidget *widget)
KPageWidgetItem * | setupFontPage (const QFont &font)
KPageWidgetItem * | setupFontPage (UMLWidget *widget)
KPageWidgetItem * | setupFontPage (AssociationWidget *widget)
void | resetFontPage (QWidget *widget)
void | applyFontPage (AssociationWidget *widget)
void | applyFontPage (Settings::OptionState *state)
void | applyFontPage (UMLScene *scene)
void | applyFontPage (UMLWidget *widget)
KPageWidgetItem * | setupStylePage (WidgetBase *widget)
KPageWidgetItem * | setupStylePage (AssociationWidget *widget)
void | applyStylePage ()
KPageWidgetItem * | setupAssociationRolePage (AssociationWidget *widget)
void | applyAssociationRolePage ()
Protected Attributes inherited from MultiPageDialogBase
AssociationGeneralPage * | m_pAssocGeneralPage
NotePage * | m_notePage
SelectOperationPage * | m_operationGeneralPage
AssociationRolePage * | m_pRolePage
KFontChooser * | m_fontChooser
UMLWidgetStylePage * | m_pStylePage
KPageWidgetItem * | m_pageItem
KPageDialog * | m_pageDialog
KPageWidget * | m_pageWidget
bool | m_useDialog
bool | m_isModified

## Detailed Description

Author
  Paul Hensgen modified by brian thomas Aug-2003 Bugs and comments to umbre.nosp@m.llo-.nosp@m.devel.nosp@m.@kde.nosp@m..org or https://bugs.kde.org

## Constructor & Destructor Documentation

## ◆ SettingsDialog()

SettingsDialog::SettingsDialog | ( | QWidget * | parent,
|  | Settings::OptionState * | state
| ) |  |

## ◆ ~SettingsDialog()

SettingsDialog::~SettingsDialog | ( |  | ) |

## Member Function Documentation

## ◆ applyPage()

void SettingsDialog::applyPage | ( | KPageWidgetItem * | item | ) |
| private

## ◆ getChangesApplied()

bool SettingsDialog::getChangesApplied | ( |  | ) | const
| inline

## ◆ getCodeGenerationLanguage()

QString SettingsDialog::getCodeGenerationLanguage | ( |  | ) |

## ◆ setCurrentPage()

void SettingsDialog::setCurrentPage | ( | PageType | page | ) |

Set current page

Parameters

  page | the page to set

## ◆ setupAutoLayoutPage()

void SettingsDialog::setupAutoLayoutPage | ( |  | ) |
| private

## ◆ setupClassPage()

void SettingsDialog::setupClassPage | ( |  | ) |
| private

## ◆ setupCodeGenPage()

void SettingsDialog::setupCodeGenPage | ( |  | ) |
| private

## ◆ setupCodeImportPage()

void SettingsDialog::setupCodeImportPage | ( |  | ) |
| private

## ◆ setupCodeViewerPage()

void SettingsDialog::setupCodeViewerPage | ( | Settings::CodeViewerState | options | ) |
| private

## ◆ setupGeneralPage()

void SettingsDialog::setupGeneralPage | ( |  | ) |
| private

## ◆ setupUIPage()

void SettingsDialog::setupUIPage | ( |  | ) |
| private

## ◆ slotApply

void SettingsDialog::slotApply | ( |  | ) |
| privateslot

## ◆ slotDefault

void SettingsDialog::slotDefault | ( |  | ) |
| privateslot

## ◆ slotOk

void SettingsDialog::slotOk | ( |  | ) |
| privateslot

## Member Data Documentation

## ◆ m_bChangesApplied

bool SettingsDialog::m_bChangesApplied
| private

## ◆ m_dontAskAgainWidget

DontAskAgainWidget* SettingsDialog::m_dontAskAgainWidget
| private

## ◆ m_pAutoLayoutPage

AutoLayoutOptionPage* SettingsDialog::m_pAutoLayoutPage
| private

## ◆ m_pClassPage

ClassOptionsPage* SettingsDialog::m_pClassPage
| private

## ◆ m_pCodeGenPage

CodeGenOptionsPage* SettingsDialog::m_pCodeGenPage
| private

## ◆ m_pCodeImportPage

CodeImportOptionsPage* SettingsDialog::m_pCodeImportPage
| private

## ◆ m_pCodeViewerPage

CodeViewerOptionsPage* SettingsDialog::m_pCodeViewerPage
| private

## ◆ m_pGeneralPage

GeneralOptionPage* SettingsDialog::m_pGeneralPage
| private

## ◆ m_pOptionState

Settings::OptionState* SettingsDialog::m_pOptionState
| private

## ◆ m_pUserInterfacePage

UMLWidgetStylePage* SettingsDialog::m_pUserInterfacePage
| private

## ◆ m_uiOptionsPage

UIOptionsPage* SettingsDialog::m_uiOptionsPage
| private

## ◆ pageAutoLayout

KPageWidgetItem * SettingsDialog::pageAutoLayout
| private

## ◆ pageClass

KPageWidgetItem * SettingsDialog::pageClass
| private

## ◆ pageCodeGen

KPageWidgetItem * SettingsDialog::pageCodeGen
| private

## ◆ pageCodeImport

KPageWidgetItem * SettingsDialog::pageCodeImport
| private

## ◆ pageCodeViewer

KPageWidgetItem* SettingsDialog::pageCodeViewer
| private

## ◆ pageFont

KPageWidgetItem * SettingsDialog::pageFont
| private

## ◆ pageGeneral

KPageWidgetItem * SettingsDialog::pageGeneral
| private

## ◆ pageUserInterface

KPageWidgetItem * SettingsDialog::pageUserInterface
| private

The documentation for this class was generated from the following files:

- umbrello/dialogs/settingsdialog.h
- umbrello/dialogs/settingsdialog.cpp